@echo off
cls
set output=NUL
if "%1"=="" set output=CON
if "%1"=="/h" set output=CON
if "%1"=="/?" set output=CON
echo Using the VIEW program, convert a file in rich text format with a >%output%
echo .rtf extension to an ASCII document with the same base name and a >%output%
echo .asc extension.  Supply the base name of the input file as a parameter, e.g., >%output%
echo ws2asc basename >%output%
echo produces the output file basename.asc from the input file basename.rtf >%output%
if "%output%"=="CON" goto end
if not exist %1.rtf goto missing
if exist %1.asc del %1.asc
view.exe %1.rtf /C%1.asc %2 %3
if errorlevel==1 echo The program reported an error!
if exist batcon.tmp del batcon.tmp
goto end
:missing
echo Input file %1.rtf not found!
:end