@echo off
cls
set output=NUL
if "%1"=="" set output=CON
if "%1"=="/h" set output=CON
if "%1"=="/?" set output=CON
echo Using the VIEW program, convert a file in almost any word processor format to an >%output%
echo ASCII document with the same base name and a .asc extension.  Supply the basename plus extension >%output%
echo of the input file as a parameter, e.g., >%output%
echo any2asc basename.ext >%output%
echo produces an output file basename.asc from the input file basename.ext >%output%
if "%output%"=="CON" goto end
if not exist %1 goto missing
batcon.exe basename %1
if errorlevel==1 goto error
if exist batcon.bat call batcon.bat
if exist batcon.bat del batcon.bat
view.exe %1 /C%batcon%.asc %2 %3
if errorlevel==1 echo The program reported an error!
set batcon=
if exist batcon.tmp del batcon.tmp
goto end
:missing
echo Input file %1 not found!
:end