@echo off
cls
set output=NUL
if "%1"=="" set output=CON
if "%1"=="/h" set output=CON
if "%1"=="/?" set output=CON
echo Using the UNTGZ program, convert a compressed archive with a >%output%
echo .tgz extension to one or more files in their original format.  >%output%
echo Supply the base name of the input file as a parameter, e.g., >%output%
echo tgz2any basename >%output%
echo produces one or more output files from the input file basename.tgz >%output%
if "%output%"=="CON" goto end
if not exist %1.tgz goto missing
echo a>batcon.tmp
untgz.exe %1.tgz <batcon.tmp %2 %3
if errorlevel==1 echo The program reported an error!
if exist batcon.tmp del batcon.tmp
goto end
:missing
echo Input file %1.tgz not found!
:end