@echo off
cls
set output=NUL
if "%1"=="" set output=CON
if "%1"=="/h" set output=CON
if "%1"=="/?" set output=CON
echo Using the CNVTXTWP program, convert a file in text format with a >%output%
echo .txt extension to a text file with the same base name and a >%output%
echo .wpd extension.  Supply the base name of the input file as a parameter, e.g., >%output%
echo txt2wpd basename >%output%
echo produces the output file basename.txt from the input file basename.wpd >%output%
if "%output%"=="CON" goto end
if not exist %1.txt goto missing
if exist %1.wpd del %1.wpd
echo y>batcon.tmp
cnvtxtwp.exe %1.txt %1.wpd <batcon.tmp %2 %3
if errorlevel==1 echo The program reported an error!
if exist batcon.tmp del batcon.tmp
goto end
:missing
echo Input file %1.txt not found!
:end